Update metalsmith-drafts requirement from 0.0.1 to 0.1.0

Updates the requirements on [metalsmith-drafts](https://github.com/segmentio/metalsmith-drafts) to permit the latest version.
- [Release notes](https://github.com/segmentio/metalsmith-drafts/releases)
- [Changelog](https://github.com/segmentio/metalsmith-drafts/blob/master/History.md)
- [Commits](https://github.com/segmentio/metalsmith-drafts/commits/v0.1.0)

Signed-off-by: dependabot[bot] <support@dependabot.com>
Status Job ID Name Coverage
  Deploy
passed #137653155
pages

00:00:58

passed pages:deploy

00:00:00